Subject: bug#22090: closed (Re: bug#22090: Isearch is sluggish and eventually refuses further service with "[Too many words]".)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 04 Dec 2015 17:02:02 +0000

Your bug report

#22090: Isearch is sluggish and eventually refuses further service with "[Too many words]".

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
22090: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22090
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#22090: Isearch is sluggish and eventually refuses further service with "[Too many words]".
From: Alan Mackenzie <[email-masked]>
To: [email-masked]
Cc: Eli Zaretskii <[email-masked]>, [email-masked]
Date: 4 Dec 2015 17:01:00 -0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello, Artur.

In article <[email-masked]> you wrote:
> 2015-12-04 9:23 GMT+00:00 Eli Zaretskii <[email-masked]>:
>>> Date: Fri, 4 Dec 2015 04:20:52 +0000
>>> From: Alan Mackenzie <[email-masked]>
>>>
>>> With a recent emacs-25 (last update
>>> eaa1fd6dbff8346eb38485de5ebf0fbfacf374d9 from Thursday 2015-12-03):
>>>
>>> emacs -Q
>>> C-c C-f src/xdisp.c
>>> Move point to L30 (paragraph beginning "Updating the display is triggered
>>>   by the Lisp interpreter ...")
>>>
>>> C-s
>>> C-w repeatedly, to yank words onto the search string.
>>>
>>> After ~29 words have been yanked, the response becomes sluggish, pausing
>>> for between 0.5s and 1s before highlighting the "for" at the end of L31.

> Thanks for the report. The source for this (and for a similar bug
> mentioned on a thread in emacs-devel) was the code I had added for
> special case-folding support.
> For now, I've just removed the code. I can think of a way of solving
> this, but it adds some complexity to isearch, which I don't wanna do
> (and I don't think this feature was that important anyway). Here's a
> full copy of the commit message explaining why the bug happens.

Thanks for reacting to this so quickly.  I confirm that both symptoms of
the bug have been resolved.

So I'm closing this bug.

[ .... ]

-- 
Alan Mackenzie (Nuremberg, Germany).

Subject: Isearch is sluggish and eventually refuses further service with "[Too many words]".
From: Alan Mackenzie <[email-masked]>
To: [email-masked]
Date: Fri, 4 Dec 2015 04:20:52 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello, Emacs

With a recent emacs-25 (last update
eaa1fd6dbff8346eb38485de5ebf0fbfacf374d9 from Thursday 2015-12-03):

emacs -Q
C-c C-f src/xdisp.c
Move point to L30 (paragraph beginning "Updating the display is triggered
  by the Lisp interpreter ...")

C-s
C-w repeatedly, to yank words onto the search string.

After ~29 words have been yanked, the response becomes sluggish, pausing
for between 0.5s and 1s before highlighting the "for" at the end of L31.

Carrying on with C-w, some words are taking 2 or 3 seconds to be
registered by Isearch.  This is Bad.

After having yanked "you as part of" from L32,
(i) the " of" gets highlighted in the isearch-error face in the echo
  area;
(ii) the text "[Too many words]" is appended to the echo area;
(iii) the highlighting is removed from the match;
(iv) point is placed at the start of the match (i.e. BOL 30).

At this point, <BKSP> will still behave as expected, except it's action
too is very sluggish - to remove two words from the current search took
several seconds.

Observation: it may be that C-w done in the vicinity of two or several
spaces experiences extra delay.

-- 
Alan Mackenzie (Nuremberg, Germany).